
import math

from openerp.osv import osv, fields

class res_partner(osv.osv):
    _inherit = 'res.partner'

    def _project_count(self, cr, uid, ids, field_name, arg, context=None):
        res = dict(map(lambda x: (x,0), ids))
        # The current user may not have access rights for sale orders
        try:
            for partner in self.browse(cr, uid, ids, context):
                res[partner.id] = len(partner.project_ids)
        except:
            pass
        return res

    """ Inherits partner and adds project information in the partner form """
    _columns = {
        'project_ids': fields.one2many('project.project', 'partner_id', 'Proyectos'),
        'project_count': fields.function(_project_count, string='#Proyectos', type='integer'),
    }


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
